Subject: [dhcwg] FW: New Version Notification for draft-gandhewar-dhc-relay-initiated-release-00.txt and draft-gandhewar-dhc-v6-relay-initiated-release-00.txt

From: Sunil Gandhewar <[email-masked]>
Date: Wed, 1 Jul 2015 17:42:59 +0000

Dear All,

I have submitted 2 new drafts where the relay notifies the client's state to the server for releasing the binding sooner than the lease expiry. This helps to keep all the DHCP devices in synchronization with respect to the client's binding.

The DHCPv4 version:  https://www.ietf.org/internet-drafts/draft-gandhewar-dhc-relay-initiated-release-00.txt 
The DHCPv6 version: https://www.ietf.org/internet-drafts/draft-gandhewar-dhc-v6-relay-initiated-release-00.txt

Many service providers face the pain as they are unable to release resources even if they can detect the DHCP clients are no longer on the network. I have already implemented this and customers are using this solution for a few years. When someone brought it to my attention that the other implementers of DHCP are also trying to come up with something similar, I realized the urgent need to submit this Internet-Draft. I would really appreciate if you can provide your valuable feedback. If you are in the process of implementing something similar then I appreciate if you can consider this draft and provide your suggestions as this is already deployed in the field.

I request your comments to solve the problem in the field and keep all the network devices in synchronization with respect to the client's binding. This extension is backward compatible with existing implementations.

Regards,
Sunil Gandhewar

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, June 29, 2015 11:53 AM
To: Sunil Gandhewar; Sunil Gandhewar
Subject: New Version Notification for draft-gandhewar-dhc-relay-initiated-release-00.txt

A new version of I-D, draft-gandhewar-dhc-relay-initiated-release-00.txt
has been successfully submitted by Sunil M. Gandhewar and posted to the IETF repository.

Name:		draft-gandhewar-dhc-relay-initiated-release
Revision:	00
Title:		DHCP Relay Initiated Release
Document date:	2015-06-28
Group:		Individual Submission
Pages:		10
URL:            https://www.ietf.org/internet-drafts/draft-gandhewar-dhc-relay-initiated-release-00.txt
Status:         https://datatracker.ietf.org/doc/draft-gandhewar-dhc-relay-initiated-release/
Htmlized:       https://tools.ietf.org/html/draft-gandhewar-dhc-relay-initiated-release-00

Abstract:
   The Dynamic Host Configuration Protocol (DHCP) is initiated by a DHCP
   client.  A DHCP server can force DHCP client to send DHCPRENEW by
   sending a DHCPFORCERENEW message.  There may be multiple DHCP network
   devices connected in between a DHCP client and a server, each one
   reserving resources for the DHCP client.  There are no DHCP messages
   that a relay can initiate in order to control the client binding.

   A DHCP client may not always send a DHCPRELEASE message when it no
   longer needs the IP address.  This document specifies a way to
   request release message to be initiated by an intermediate DHCP
   network device, e.g.  DHCP relay, on behalf of DHCP client.  This
   helps relinquish network resources sooner than the lease expiration
   time.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat